import React from "react";
import YearSelect from "./YearSelect";
import InlineLoading from "./InlineLoading";

const LoadableYearSelect = ({ selectedYear, setSelectedYear }) => {
    if (selectedYear.isLoading) {
        return <InlineLoading />;
    }
    return <YearSelect onChange={setSelectedYear} value={selectedYear.data} />;
};

export default LoadableYearSelect;
