import React from "react";
import { Container, Row, Col } from "react-grid-system";

import C from "../constants";
import Page from "../components/Page";
import useYearFilter from "../hooks/useYearFilter";
import MeasureByAttributeChangeWidget from "../components/visualizations/MeasureByAttributeChangeWidget/MeasureByAttributeChangeWidget";

import sharedStyles from "../shared.module.scss";
import LoadableYearSelect from "../components/LoadableYearSelect";

const MeasureByAttributeChange = () => {
    const [selectedYear, selectedYearFilter, setSelectedYear] = useYearFilter();

    const dateFilters = [selectedYearFilter];

    return (
        <Page>
            <div className={sharedStyles.Header}>
                <Container fluid xs sm md lg>
                    <Row>
                        <Col className={sharedStyles.Column}>
                            <h2 className={sharedStyles.Title}>Measure By Attribute Change Widget</h2>
                            <LoadableYearSelect
                                selectedYear={selectedYear}
                                setSelectedYear={setSelectedYear}
                            />
                        </Col>
                    </Row>
                </Container>
            </div>
            <Container fluid xs sm md lg>
                <Row>
                    <Col>
                        <MeasureByAttributeChangeWidget
                            filters={dateFilters}
                            attributeDisplayFormIdentifier={C.attributeDisplayForms.locationName}
                            measureIdentifier={C.measures.grossProfit}
                            headline="Locations"
                        />
                    </Col>
                </Row>
            </Container>
        </Page>
    );
};

export default MeasureByAttributeChange;
