import React from "react";
import { Container, Row, Col } from "react-grid-system";

import ParametricDashboardBody from "../components/ParametricDashboard/ParametricDashboard";
import Page from "../components/Page";
import LoadableYearSelect from "../components/LoadableYearSelect";

import sharedStyles from "../shared.module.scss";
import useYearFilter from "../hooks/useYearFilter";

const ParametricDashboard = ({ match }) => {
    const [selectedYear, selectedYearFilter, setSelectedYear] = useYearFilter();

    const dateFilters = [selectedYearFilter];

    const { measures, primaryAttribute, dateAttribute } = match.params;

    return (
        <Page>
            <div className={sharedStyles.Header}>
                <Container fluid xs sm md lg>
                    <Row>
                        <Col className={sharedStyles.Column}>
                            <h2 className={sharedStyles.Title}>Parametric dashboard</h2>
                            <LoadableYearSelect
                                selectedYear={selectedYear}
                                setSelectedYear={setSelectedYear}
                            />
                        </Col>
                    </Row>
                </Container>
            </div>
            <ParametricDashboardBody
                measures={measures ? measures.split(",") : []}
                primaryAttribute={primaryAttribute}
                dateAttribute={dateAttribute}
                dateFilters={dateFilters}
            />
        </Page>
    );
};

export default ParametricDashboard;
